package com.zd.chemical.domain.vo;

import com.zd.chemical.domain.HxpChemicalJoinCabinet;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 化学品和机柜关联对象 hxp_cabinet_join_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联")
public class HxpChemicalJoinCabinetSon {

    /**
     * 机柜管理id
     */
    @Excel(name = "机柜管理id")
    @ApiModelProperty(value = "机柜管理id")
    private Long cabinetId;


    /**
     * 化学品规格
     */
    @Excel(name = "化学品规格")
    @ApiModelProperty(value = "化学品规格")
    private BigDecimal chemicalAmount;


    /**
     * 化学品规格单位
     */
    @Excel(name = "化学品规格单位")
    @ApiModelProperty(value = "化学品规格单位")
    private String chemicalAmountUnit;

    /**
     * 容器重量
     */
    @Excel(name = "容器重量")
    @ApiModelProperty(value = "容器重量")
    private BigDecimal tare;

    @ApiModelProperty(value = "存放数量，用于循环当前关联数据的次数")
    private Integer storageNum;

    @ApiModelProperty(value = "机柜锁id   去硬件表里面找，用的是硬件表的id")
    private Long cabinetlockId;



    private List<HxpChemicalJoinCabinet> chemicalJoinCabinetList = new ArrayList<>();

    private List<HxpChemicalJoinCabinetGrandSon> hxpChemicalJoinCabinetGrandSonList = new ArrayList<>();

    public Long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(Long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public BigDecimal getChemicalAmount() {
        return chemicalAmount;
    }

    public void setChemicalAmount(BigDecimal chemicalAmount) {
        this.chemicalAmount = chemicalAmount;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public BigDecimal getTare() {
        return tare;
    }

    public void setTare(BigDecimal tare) {
        this.tare = tare;
    }

    public List <HxpChemicalJoinCabinet> getChemicalJoinCabinetList() {
        return chemicalJoinCabinetList;
    }

    public void setChemicalJoinCabinetList(List <HxpChemicalJoinCabinet> chemicalJoinCabinetList) {
        this.chemicalJoinCabinetList = chemicalJoinCabinetList;
    }

    public List <HxpChemicalJoinCabinetGrandSon> getHxpChemicalJoinCabinetGrandSonList() {
        return hxpChemicalJoinCabinetGrandSonList;
    }

    public void setHxpChemicalJoinCabinetGrandSonList(List <HxpChemicalJoinCabinetGrandSon> hxpChemicalJoinCabinetGrandSonList) {
        this.hxpChemicalJoinCabinetGrandSonList = hxpChemicalJoinCabinetGrandSonList;
    }

    public Integer getStorageNum() {
        return storageNum;
    }

    public void setStorageNum(Integer storageNum) {
        this.storageNum = storageNum;
    }

    public Long getCabinetlockId() {
        return cabinetlockId;
    }

    public void setCabinetlockId(Long cabinetlockId) {
        this.cabinetlockId = cabinetlockId;
    }
}
